Subject: Re: [PATCH 2/2] parse-options: use and require int pointer for OPT_CMDMODE

From: Oswald Buddenhagen <[email-masked]>
Date: Tue, 3 Oct 2023 20:24:37 +0200

On Tue, Oct 03, 2023 at 07:54:28PM +0200, René Scharfe wrote:
>C++ is not relevant for Git, but C23 is going to to stop supporting
>binary representations other than two's complement as well.
>
it is relevant insofar as that every platform that comes with a recent 
c++ compiler uses two's complement. this then applies to any language, 
regardless of standard.

>Still I don't feel comfortable overriding compiler warnings for
>something pedestrian as a command line parser.  No idea what other
>assumptions are made in compilers around enums.
>
i'm not sure what you're really worried about. if there was an actual 
problem, we'd have noticed by now. as far as i'm concerned, the question 
is only how to codify the status quo in the most elegant way. putting a 
typecast into a macro certainly qualifies in my book.

regards